Index: /trunk/SophyaPI/PIext/Makefile
===================================================================
--- /trunk/SophyaPI/PIext/Makefile	(revision 3571)
+++ /trunk/SophyaPI/PIext/Makefile	(revision 3572)
@@ -42,26 +42,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -69,4 +53,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -76,4 +62,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -163,34 +164,36 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -277,4 +280,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -320,9 +324,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -330,4 +330,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -337,4 +339,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -387,26 +391,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -414,4 +402,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -421,4 +411,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -473,26 +478,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -500,4 +489,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -507,4 +498,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -581,26 +587,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -608,4 +598,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -615,4 +607,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -689,4 +696,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -733,9 +741,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -743,4 +747,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -750,4 +756,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -799,4 +807,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -860,4 +869,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -920,4 +930,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -989,4 +1000,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1086,4 +1098,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1130,5 +1143,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -1195,4 +1207,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1264,4 +1277,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1347,4 +1361,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1412,4 +1427,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1510,4 +1526,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1593,4 +1610,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1623,9 +1641,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1633,4 +1647,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1640,4 +1656,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1700,26 +1718,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1727,4 +1729,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1734,4 +1738,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1797,26 +1816,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1824,4 +1827,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1831,4 +1836,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1937,4 +1957,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1969,9 +1990,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1979,4 +1996,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1986,4 +2005,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2002,5 +2023,4 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h nomhistadapter.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -2045,4 +2065,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2097,4 +2118,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2124,4 +2146,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2153,26 +2176,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)sopnamsp.h pihisto2d.h \
   $(SOPHYAINCP)pimenux.h \
@@ -2180,8 +2187,25 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)piscdrawwdg.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2211,26 +2235,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2238,4 +2246,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2245,4 +2255,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2308,5 +2333,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -2357,4 +2381,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2385,4 +2410,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2411,4 +2437,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2478,26 +2505,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2505,4 +2516,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2512,4 +2525,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2591,26 +2619,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2618,4 +2630,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2625,4 +2639,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2672,4 +2701,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
@@ -2720,4 +2750,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2764,9 +2795,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2774,4 +2801,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2781,4 +2810,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
Index: /trunk/SophyaPI/PIext/basexecut.cc
===================================================================
--- /trunk/SophyaPI/PIext/basexecut.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/basexecut.cc	(revision 3572)
@@ -24,9 +24,5 @@
 #include "datatable.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "cvector.h"
-#else
 #include "tvector.h"
-#endif
 
 
@@ -95,15 +91,4 @@
   mImgApp->RedirectStdOutErr(false);
                                     --------DEL  */
-#ifdef SANS_EVOLPLANCK
-  TRY {
-    tokens.erase(tokens.begin());
-    fuf(tokens);
-  }  CATCH(merr) {
-    fflush(stdout); 
-    string es = PeidaExc(merr);
-    cerr << "\n PIABaseExecutor: Call UserFunc  Exception :" << merr << es;
-    cout << endl; 
-    }
-#else
   try {
     tokens.erase(tokens.begin());
@@ -122,5 +107,4 @@
     return(-79);
   }
-#endif
 /*DEL----- Plus besoin en multi-thread ? / Reza 06/01/2004 
   mImgApp->RedirectStdOutErr(red);
@@ -732,5 +716,4 @@
   }
 
-#ifndef SANS_EVOLPLANCK
 /* Lecture matrice/vecteur depuis fichier ASCII  */
 else if ((kw == "mtxfrascii") || (kw == "vecfrascii") ) {
@@ -788,5 +771,4 @@
 }
   
-#endif
 
 else if (kw == "fillnt" ) {
@@ -970,5 +952,4 @@
 usage += "\n  Related commands: ntloop fillnt ";
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
-#ifndef SANS_EVOLPLANCK
 kw = "mtxfrascii";
 usage = "Reads a matrix from an ASCII file (TMatrix<r_8>)";
@@ -986,5 +967,4 @@
 usage += "\n  Related commands:  mtxfrascii vecfrascii ntfrascii ";
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
-#endif
 
 kw = "print";
@@ -1181,9 +1161,4 @@
 usage += "\n-         i,k,val,real,imag,mod,phas,teta,phi,_nl";
 usage += "\n- FITS Binary/ASCII table: fits column names,_nl";
-#ifdef SANS_EVOLPLANCK
-usage += "\n  ------ Eros Variable names (double) -------- ";
-usage += "\n- StarList: x,y,flux,fond,pixmax,flags,";
-usage += "\n-           xref,yref,fluxref,fondref,pixmaxref,_nl";
-#endif
 usage += "\n  ------ Other parameters -------- ";
 usage += "\nLoop parameters can be specified as I1[:I2[:DI]] for(int i=I1; i<I2; i+=DI)"; 
Index: /trunk/SophyaPI/PIext/cxxexecutor.cc
===================================================================
--- /trunk/SophyaPI/PIext/cxxexecutor.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/cxxexecutor.cc	(revision 3572)
@@ -394,8 +394,4 @@
   <<endl
 
-#ifdef SANS_EVOLPLANCK
-  <<"//---- Peida include files"<<endl
-  <<"#include \"toutpeida.h\""<<endl
-#else
   // Si on enleve sopnamsp.h (using namespace SOPHYA), il faudra accoler 
   // SOPHYA:: à toutes les déclarations automatiques - Reza, 10/09/2004 
@@ -409,5 +405,4 @@
   <<"#include \"histats.h\""<<endl
   <<endl
-#endif
 
   <<"//---- Spiapp include files"<<endl
@@ -497,15 +492,7 @@
   os<<obtype<<"* "<<stmp
     <<" = dynamic_cast< "<<obtype<<" * >(omg.GetObj(___nomobj));"<<endl;
-#ifdef SANS_EVOLPLANCK
-  os<<"if("<<stmp<<"==NULL) { \n"
-    <<" long mExcErr = nullPtrErr; \n"
-    <<" cerr << \"CxxExecutor::PutObject: Non existing object "
-    <<" ... please update file \\n \" ;"
-    <<" throw mExcErr ; \n } "<<endl;
-#else
   os<<"if("<<stmp<<"==NULL) throw NullPtrError"
     <<"(\"CxxExecutor::PutObject: Non existing object "<<nobj
     <<"... please update file\");"<<endl;
-#endif
   os<<obtype<<"& "<<nobj<<" = (*"<<stmp<<");"<<endl<<endl;
 }
@@ -622,11 +609,5 @@
 
 int rc;
-#ifdef SANS_EVOLPLANCK
-CxxCompilerLinker cxx;
-string sophlib = " -lPIE -lm ";
-cxx.AddLinkOptions(sophlib);
-#else
 CxxCompilerLinker cxx(true,true,true);
-#endif
 if(TmpDir().size()>0) cxx.SetTmpDir(TmpDir());
 if(mPrtLevel>0) cxx.SetVerbose(true);
Index: /trunk/SophyaPI/PIext/exclude
===================================================================
--- /trunk/SophyaPI/PIext/exclude	(revision 3571)
+++ /trunk/SophyaPI/PIext/exclude	(revision 3572)
@@ -1,4 +1,2 @@
 userfitfunex.c
-nommatvecadapter.cc
-nomstladapter.cc
 pistlist.cc
Index: /trunk/SophyaPI/PIext/flowmodex.cc
===================================================================
--- /trunk/SophyaPI/PIext/flowmodex.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/flowmodex.cc	(revision 3572)
@@ -117,5 +117,5 @@
   
   // Creation NTuple 
-  char* ntn[4] = {"expx","expy","expex","expey"};
+  const char* ntn[4] = {"expx","expy","expex","expey"};
   NTuple * ntint = NULL;
   ntint = new NTuple(4,ntn);
